/*
 * This file is part of the #twatch project (dangerousprototypes.com).
 * NOTE: this code requires the Microchip TCP/IP stack, which is released under the Microchip license.
 *       Code written by the #twatch project is released into the public domain, 
 *		 The Microchip license still applies to the Microchip TCP/IP stack.
 *
 * Originally written by Ian Lesnet <ian@dangerousprototypes.com>
 * Modified by David Moisan <dmoisan@davidmoisan.org>
 *
 * To the extent possible under law, Ian Lesnet <ian@dangerousprototypes.com> has
 * waived all copyright and related or neighboring rights to this code. This
 * work is published from United States.
 *
 * For details see: http://creativecommons.org/publicdomain/zero/1.0/.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 */
//main TCP server state machine
unsigned char MatrixOrbitalTCPServer(void);


// LCD TCP server return codes
#define RETNOINPUT	  0  // No Input (no mode change)
#define RETSTARTLCD   1  // Start Matrix Orbital mode
#define RETEXITLCD    2  // Exit Matrix Orbital mode
#define RETIPANN      3  // Announce IP (no mode change)

